"use strict";
cc._RF.push(module, '4caa6g/1y5AUKfURTTBOgkp', 'main');
// script/main.js

"use strict";

// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        display: {
            type: cc.Node,
            default: null
        }
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad: function onLoad() {
        this.setUpdateWechatSubCanvas(true);
    },
    onDestroy: function onDestroy() {
        this.setUpdateWechatSubCanvas(false);
    },


    setUpdateWechatSubCanvas: function setUpdateWechatSubCanvas(bOn) {
        if (CC_WECHATGAME) {
            var self = this;
            this.scheduleOnce(function () {
                if (self.display) {
                    self.display.getComponent(cc.WXSubContextView).enabled = bOn;
                    self.display.getComponent(cc.WXSubContextView).update();
                }
                console.log("当前子域刷新状态：", bOn);
            }, 0.1);
        }
    },

    start: function start() {}
}

// update (dt) {},
);

cc._RF.pop();